/**
 * 
 */
package gov.va.med.fw.security;

import javax.security.auth.login.LoginException;

/**
 * This exception thrown when user doesn't have permissions(Capabilities)
 * 
 * @author Madhu Katikala
 * 
 */
public class InsufficientPrivilegesException extends LoginException {

	/**
	 * serialVersionUID long
	 */
	private static final long serialVersionUID = 3381409146584867226L;

	public InsufficientPrivilegesException() {
		super();
	}

	public InsufficientPrivilegesException(String msg) {
		super(msg);
	}

	public InsufficientPrivilegesException(String msg, Throwable cause) {
		this(msg);
		initCause(cause);
	}
}
